<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>Change Method Parameters Dialog Box</title>
        <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
    </head>
    <body>
        <h2>Change Method Parameters Dialog Box</h2>
        <p><small> <a href="#seealso">See Also</a> </small></p>
        <p>Use this dialog box to specify options for the Change Method Parameters refactoring command.
        You can use the Change Method Parameters command to alter the signature of a 
        method and have those changes propagated in all of the code that calls this method. 
        Specifically, you can:</p>
        <ul>
          <li>Add and remove parameters to and from a method.</li>
            <li>Reorder the parameters in a method signature.</li>
            <li>Change the access modifier for the method.</li>
        </ul>
        <p>You can open the Change Method Parameters 
        dialog box from the Source Editor, Projects window, or Files window. In one 
        of these windows, right-click a field and choose Refactor &gt; Change Method Parameters.</p>

        <p>The dialog box has the following fields:</p>
        <ul>
            <li><b>Parameters.</b> Table that contains a list of parameters for the 
                method. Use the Add, Move Up, and Move Down buttons 
                to add and rearrange the order of parameters.
                <p>Use the Remove button to remove any parameters that you have added 
                in the dialog box but that you do not want to keep.</p>
                <p>The Parameters table has columns for the method 
                type,  name, and default value. Click in a cell to edit a value.</p>
				<ul class="note">
            <li>Press Ctrl-Space to use code completion to choose a parameter type and name.</li>
			<li>Click the ellipsis button on the left of the Type and Return type fields to display the Find Type dialog box.</li>
				</ul>
            </li>
            <li><b>Access.</b>  Drop-down list containing the four 
                possible accessibility modifiers (<tt>public</tt>, <tt>protected</tt>, 
                <tt>&lt;default&gt;</tt>, and <tt>private</tt>). Select the accessibility 
                modifier that you want the method to have.            </li>
			<li><b>Return type.</b> Field intended for specifying a method's return type. Press Ctrl-Space to use the IDE's code completion feature. </li>
			<li><b>Name.</b> Field  intended for specifying a method's name. </li>
			<li><b>Generate Javadoc for this method/Update existing Javadoc of this method.</b> Select to either create or renew the Javadoc for the method in order to reflect most recent changes in the method's parameters. </li>
			<li><b>Code Generation.</b>
			Choose either of the following options:
			  <ul>
			<li><b>Update Existing Method.</b> Select to regenerate the method and incorporate the most recent changes into the method's code. </li>
			<li><b>Create new Method and Delegate from Existing Method.</b> Select to generate a new delegate method. </li>
			  </ul></li>
            <li><b>Method Signature Preview.</b> Read-only field that displays 
                what the method signature will look like if you apply the changes 
                that you have specified in the dialog box.            </li>
        </ul>

        <p>If you want to preview the changes, you need to follow these steps 
        to complete the refactoring:</p>
        <ol>
            <li>Click Preview. 
                <p>The Refactoring 
                window opens and displays a tree view of the code to be affected by the refactoring.</p>
            </li>
            <li>Check the items displayed in the Refactoring window to make sure that you want them 
            all changed. Clear the checkbox next to any parts of the code that 
            you do not want changed.
            <li>Click Do Refactoring.</li>
        </ol>
        
        <dl>
            <dt><a name="seealso">See Also</a></dt>
            <dd><a href="../aboutRefactoring.html">About Refactoring</a></dd>
            <dd><a href="../refactorQuickRef.html">Refactoring: Quick Reference</a>
            <dd><a href="../undo.html">Undoing Refactoring Changes</a></dd>
        </dl>
        <hr>
        <small><a href="../../credits.html">Legal Notices</a></small>
        <table cellpadding="50" border="0">
            <tr>
                <td>&nbsp;</td>
            </tr>
        </table>
    </body>
</html>
